/* $Id$ */
/*
 * Cantus Tag Editor
 * Copyright © 2002-2004 by Samuel Abels <spam@debain.org>
 * Copyright © 2007 by Tim Huetz <tim.huetz@futures-net.de>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>
 **/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef HAVE_FILEINFOMANAGEREVENT_H
#define HAVE_FILEINFOMANAGEREVENT_H

#include <stdio.h>
#include <bits/stl_pair.h>


enum EVENTS {
  FILE_READ_EVENT,
  FILE_READ_FAILED_EVENT,
  FILE_WRITTEN_EVENT,
  FILE_WRITE_FAILED_EVENT,
  FILE_RENAME_FINISHED_EVENT,
  FILE_RENAME_FAILED_EVENT,
  WRITEQUEUE_FINISHED_EVENT,
  READQUEUE_FINISHED_EVENT
};

typedef std::pair<int, void*> FileInfoManagerEvent;

#endif
