/* $Id$ */
/*
 * Cantus Tag Editor
 * Copyright © 2002-2004 by Samuel Abels <spam@debain.org>
 * Copyright © 2007 by Tim Huetz <tim.huetz@futures-net.de>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>
 **/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef HAVE_GNUHASHMAP_H
#define HAVE_GNUHASHMAP_H

#include <ext/hash_set>
#include <ext/hash_map>

namespace __gnu_cxx {
  template<>
  struct hash<std::string> {
  public:
    size_t operator()(std::string str) const {
      __gnu_cxx::hash<char const*> H;
      return H(str.c_str() );
    }
  };
  
  struct eqptr {
    bool operator()(void* s1, void* s2) const {
      return (s1 == s2);
    }
  };
};

#endif
